Search Specific Onsite Proxy Instances
Search specific Onsite Proxy instances from the Onsite Proxy instance list.
Request URL
GET {base_url}/{api_path}/onsiteproxy/search?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| page | No | Integer | Define which page is displayed. |
| page_size | No | Integer | Define how many records per page. |
| sort_by | No | String | Define the sorting field. Valid value:
|
| order_by | No | String | Define the display order. Valid value:
|
| search_value | No | String | Search keyword. |
| name | No | String | Fuzzy search by the name of Onsite Proxy instance. Note: The maximum character length is 128. |
| intranet_ip | No | String | Fuzzy search for private IP address of Onsite Proxy instance. Note: The maximum character length is 64. |
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| total_number | Integer | The total of the searched Onsite Proxy instances. |
| data | Array<Proxy_Basicinfo> | The basic information of each Onsite Proxy instance. |
| connection_url | String | The connection address of the PBX server. |
Proxy_Basicinfo
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The instance ID. |
| uuid | String | The instance UUID. |
| name | String | The instance name. |
| platform | String | The operating system where the instance is deployed. |
| version | String | The instance version. |
| intranet_ip | String | The private IP address of the instance. |
| public_ip | String | The public IP address of the instance. |
| audio_rtp_passthrough | Integer | Whether the Audio RTP Passthrough feature is enabled.
|
| status | String | The connection status between the PBX and the instance.
|
| phone_count | Integer | The total number of associated IP phones, including those auto-discovered via PnP by the instance and others configured to register via the instance. |
| online_phone_count | Integer | The number of associated IP phones successfully registered with PBX extensions via the instance. |
| create_time | Integer | The timestamp when the instance was created. |
| update_time | Integer | The timestamp of the last update to the instance data, excluding phone count and online phone count changes. |
Examples
Request example
Search for Onsite Proxy instances with private IP address (172.17.0.16) from the Onsite Proxy instance list.
GET /openapi/v1.0/onsiteproxy/search?page=1&page_size=20&sort_by=status&order_by=asc&intranet_ip=172.17.0.16&access_token=WoAp9s3hYXSWgD5ZdOAhpGNvgnl8SufF HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"total_number": 1,
"data": [
{
"id": 50,
"uuid": "71XXX-XXXX-XXXX-XXXX-XXXXXXXXXc52",
"name": "Proxy_036",
"platform": "linux",
"version": "99.0.0.9",
"intranet_ip": "172.17.0.16",
"public_ip": "192.0.2.112",
"audio_rtp_passthrough": 1,
"status": "connected",
"phone_count": 5,
"online_phone_count": 3,
"create_time": 1769753210,
"update_time": 1772422951
}
],
"connection_url": "198.51.100.10"
}